为了账号安全,请及时绑定邮箱和手机立即绑定

请问一下spring boot 起步依赖 中有多个版本?

/ 猿问

请问一下spring boot 起步依赖 中有多个版本?

慕斯709654 2019-08-13 14:10:27

spring boot 起步依赖 中有多个版本


查看完整描述

4 回答

?
慕尼黑8549860

因为Spring Boot解决的问题(1) Spring Boot使编码变简单(2) Spring Boot使配置变简单(3) Spring Boot使部署变简单(4) Spring Boot使监控变简单(5) Spring的不足

查看完整回答
反对 回复 2019-08-24
?
冉冉说

Spring Boot充分利用了JavaConfig的配置模式以及“约定优于配置”的理念,能够极大的简化基于Spring
MVC的Web应用和REST服务开发。

Spring
4倡导微服务的架构,针对这一理念,近来在微博上也有一些有价值的讨论,如这里和这里。微服务架构倡导将功能拆分到离散的服务中,独立地进行部署,Spring
Boot能够很方便地将应用打包成独立可运行的JAR包,因此在开发模式上很契合这一理念。目前,Spring
Boot依然是0.5.0的里程碑版本,因此相关的文档尚不完善,本文将会以一个简单的样例来介绍基于这个项目的开发过程。

要Spring
Boot进行功能开发,需要使用Gradle或者Maven作为构建工具。在本例中,我们会使用Eclipse和Maven插件进行开发。



查看完整回答
反对 回复 2019-08-24
?
慕盖茨9453107

spring官方包里,lib目录里除了带resource后缀的jar包,初学建议都加上,入门之后,你就明白你的项目里需要哪些包,不需要哪些包了。带resource后缀的jar是源码。

查看完整回答
反对 回复 2019-08-24
?
12345678_0001

先从本地仓库中找,找不到的话,就去中央仓库找,并下载到本地。你a工程需要install一下,才能放到本地仓库。
或插槽问题:显卡问题:刚开机就直接到或者F

查看完整回答
反对 回复 2019-08-24

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信